package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFUIWizard;
import com.sa.ibiz.demo.demo.service.dto.WFUIWizardSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFUIWizard] 服务对象接口
 */
public interface WFUIWizardService extends IService<WFUIWizard>{

	boolean update(WFUIWizard et);
	boolean getDraft(WFUIWizard et);
		WFUIWizard get(WFUIWizard et);
	boolean checkKey(WFUIWizard et);
	boolean create(WFUIWizard et);
	boolean remove(WFUIWizard et);
    List<WFUIWizard> listDefault(WFUIWizardSearchFilter filter) ;
	Page<WFUIWizard> searchDefault(WFUIWizardSearchFilter filter);
	/**	 实体[WFUIWizard] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }